class CustomException extends Exception
{
	CustomException()
	{
		System.out.println("CustomException constructor says: CustomException has been thrown");
	}
}

class BothCustomExceptionAndStandardException
{
	public static void main(String[] args) throws CustomException
	{
		int i, y;
		i=5;
		y=0;
		try
		{
			if(y==0)
			{
				throw new CustomException();
			}
			System.out.println("i/y is " + i/y);

		}
		catch(CustomException e)
		{
			System.out.println(e.toString() + ": CustomException caught BEFORE the attempt to divide by zero!");
		}
		finally
		{
			System.out.println("Finally block executes whether or not an exception has been thrown");
		}
		try
		{
			System.out.println("i/y is " + i/y);
			if(y==0)
			{
				throw new CustomException();
			}
		}
		catch(ArithmeticException e)
		{
			System.out.println("ArithmeticException caught: Can't divide by Zero");
		}
		finally
		{
			System.out.println("Finally block executes whether or not an exception has been thrown");
		}
		try
		{
			System.out.println("A try block with a println statement and no catch block.");

		}
		finally
		{
					System.out.println("Finally block executes whether or not an exception has been thrown");
		}
		try
		{
			System.out.println("A try block with a println statement and a catch block too.");

		}
		catch(ArithmeticException e)
		{
			System.out.println("ArithmeticException caught: Can't divide by Zero");
		}
		finally
		{
					System.out.println("Finally block executes whether or not an exception has been thrown");
		}
	}
}
