/* Unreported exception must be (a) caught or (b) declared to be thrown.
   We do (a) on Line 26. */
class ThomasException extends Exception
{
   ThomasException()
   {
      System.out.println("ThomasException has been thrown.");
   }
}
class DemoThomasExceptionByMethodCallWithoutThrows
{
   static void throwCustomException()
   {
	   try
	   {
		   int size;
		   for(size = 3; size > -3; size--)
		   System.out.println("size = " + size);
		   if (size < 0)
		   {
			  throw new ThomasException();
		   }
		   int myArray[] = new int[size];
		   System.out.println("length is: " + myArray.length);
		}
		catch(ThomasException e)
		{
			System.out.println("ThomasException is " + e.toString());
		}
 	}
 	public static void main(String[] args)
	{
    	throwCustomException();
   }
}