// This program creates a custom exception type, causes it to be thrown, and handles it.
class MyException extends Exception
{
  private int detail;

  MyException(int a) { // Constructor
    detail = a; // variable
  }

  public String toString()
 { // overriding Throwable
    return "MyException " + detail + " wow";
  }
}

class ExceptionDemo
{
  static void compute(int a) throws MyException
  {
    System.out.println("Called compute(" + a + ")");
    if(a > 10)
      throw new MyException(a);  // throw the exception to the caller to see if it catch it.
    System.out.println("compute method's normal exit");
  }

  public static void main(String[] args)
  {
    try
    {
      compute(1);
      compute(20);
    }
    // main is the caller to what threw the exception, so main can catch the exception
    catch(MyException e)
    {
      System.out.println("Caught " + e + " so line 19's normal exit never executes.");
      System.out.println("toString: " + e.toString());
    }
  }
}