class ExceptionGenerator
{
	static void generateException()
	{
	    int[] numerator = { 4, 8, 16, 32, 64, 128, 256, 512 };
	    int[] denomenator = { 2, 0, 4, 4, 0, 8 };
	    for(int i=0; i<numerator.length; i++)
	    {
	        System.out.println(numerator[i] + " / " +
	                           denomenator[i] + " is " +
	                           numerator[i]/denomenator[i]);
         }
    }
	static void generateException2()
	{
		int[] numerator = { 4, 8, 16, 32, 64, 128, 256, 512 };
		int[] denomenator = { 2, 0, 4, 4, 0, 8 };
		for(int i=5; i<numerator.length; i++)
		{
			System.out.println(numerator[i] + " / " +
							   denomenator[i] + " is " +
							   numerator[i]/denomenator[i]);
		 }
    }
}
class MethodCaller
{
	void doSomething()
	{
		try
	    {
			ExceptionGenerator.generateException();
	    }
		catch(ArithmeticException exc)
        {
           System.out.println("No matching element found.");
           exc.printStackTrace();
           System.out.println("\nDo we get a different Exception now?\n");
           ExceptionGenerator.generateException2();;
		}
	}
}
class MultipleCatchStatementsAtDifferentLayers
{
  public static void main(String[] args)
  {
	  try
	  {
	  	MethodCaller mc = new MethodCaller();
	  	mc.doSomething();
      }
      catch(ArrayIndexOutOfBoundsException exc)
      {
        System.out.println("This time it is ArrayIndexOutOfBoundsException!");
        exc.printStackTrace();
      }
  }
}