class ExceptionGenerator
{
	static void generateException()
	{
	    int numer[] = { 4, 8, 16, 32, 64, 128, 256, 512 };
	    int denom[] = { 2, 0, 4, 4, 0, 8 };

	    for(int i=0; i<numer.length; i++)
	    {
	        System.out.println(numer[i] + " / " +
	                           denom[i] + " is " +
	                           numer[i]/denom[i]);
         }
    }
	static void generateException2()
	{
		int numer[] = { 4, 8, 16, 32, 64, 128, 256, 512 };
		int denom[] = { 2, 0, 4, 4, 0, 8 };

		for(int i=5; i<numer.length; i++)
		{
			System.out.println(numer[i] + " / " +
							   denom[i] + " is " +
							   numer[i]/denom[i]);
		 }
    }
}
class MethodCaller
{
	void doSomething()
	{
		try
	    {
			ExceptionGenerator.generateException();
	    }
		catch(ArithmeticException |  ArrayIndexOutOfBoundsException exc)
        {
            // catch the exception
            System.out.println("No matching element found.");
           exc.printStackTrace();
           System.out.println("\nDo we get a different Exception now?\n");
           ExceptionGenerator.generateException2();
		}
	}
}

class MultipleCatchStatementsAtDifferentLayersWithPipe
{
  public static void main(String[] args)
  {
	  try
	  {
	  	MethodCaller mc = new MethodCaller();
	  	mc.doSomething();
      }
      catch(Exception exc)
      {
        System.out.println("This time it is ArrayIndexOutOfBoundsException!");
        exc.printStackTrace();
      }
  }
}