// Use multiple catch statements.
class MultipleCatchStatementsOneByOne
{
  public static void main(String[] args)
  {
    int[] numerator = { 4, 8, 16, 32, 64, 128, 256, 512 }; // 8 indices
    int[] denomenator = { 2, 0, 4, 4, 0, 8 }; // 6 indices

    for(int i=0; i<numerator.length; i++)
    {
      try
      {
        System.out.println(numerator[i] + " / " +
                           denomenator[i] + " is " +
                           numerator[i]/denomenator[i]);
      }
      catch(ArithmeticException exc)
      {
        System.out.println("Can't divide by Zero!");
      }
      catch(ArrayIndexOutOfBoundsException exc)
      {
        System.out.println("No matching element found.");
      }
    }
  }
}
