// Use a nested try block.
class NestedTryBlocks
{
  public static void main(String[] args)
  {
    int[] numerator = { 4, 8, 16, 32, 64, 128, 256, 512 };
    int[] denomenator = { 2, 0, 4, 4, 0, 8 };
    // outer try
    try
    {
      for(int i=0; i < numerator.length; i++)
      {
		// nested try
        try
        {
          System.out.println(numerator[i] + " / " +
                             denomenator[i] + " is " +
                             numerator[i]/denomenator[i]);
        }
        catch (ArithmeticException exc)
        {
          System.out.println("Can't divide by Zero!");
        }
      }
    }
    catch (ArrayIndexOutOfBoundsException exc)
    {
      // catch the exception
      System.out.println("No matching element found.");
      System.out.println("Fatal error -- program terminated.");
    }
  }
}