import java.io.*;

public class ReadFromFile
{
    static String filename;
    public static void main(String[] args)
    {       
         try
         {
           filename = "input.txt";
           BufferedReader br = new BufferedReader(new FileReader(filename));

          String inputString = br.readLine();
          // do something with what we just put in inputString
          System.out.println(inputString);

          inputString = br.readLine();
          // do something with the new stuff that was just read in
          System.out.println(inputString);

          while(br.ready())  // not executed if no 3rd line
          {
            inputString = br.readLine();
            // do something every time a new string is read in
            int number = Integer.parseInt(inputString);
            int largeNumber = number * 3;
            System.out.print("I read in a " + number + ".   ");
            System.out.println(number + " * 3 = " + largeNumber);
          }   
        }
        
        catch(FileNotFoundException e)
        {
            System.out.println("Cannot find the file named: " + filename);
        }
        
        catch(IOException exception) // If an IOException happens come here
        {
          System.out.println("An IOException has occured.");
        }
     }
}