// Show that an exception can be thrown up
// the call stack.
class ArrayProcessor
{
  void callMiddleMan()
  {
    System.out.println("callMiddleMan");
    callProcessArray();
  }
  void callProcessArray()
  {
	  System.out.println("callProcessArray");
	  try
	  {
	  	processArray();
	  }
	  catch(Exception exc)
	  {
	    exc.printStackTrace();
      }
  }
  void processArray()
  {
	    // Here, numer is longer than denom.
    // declare and populate an array
    // for numerator, then for denominator
    int numer[] = { 4, 8, 16 }; // 8 indices
    int denom[] = { 2, 0, 4 }; // 6 indices

    for(int i=0; i<numer.length; i++)
    {
        System.out.println(numer[i] + " / " +
                           denom[i] + " is " +
                           numer[i]/denom[i]);
    }
  }
}
class ThrowUpTheCallStackTwiceDemo
{
  public static void main(String[] args)
  {
	 ArrayProcessor ap = new ArrayProcessor();
     ap.callMiddleMan();
     System.out.println("exception caught, so program still running");
  }
}
