class Hazard
{
   void methodA()
   {
      System.out.println("in method A");
   }
   void methodB()
   {
       System.out.println("in method B");
       methodA(); // which calls methodB
   }
   void methodC()
   {
      System.out.println("in method C");
      methodB(); // which calls methodA
      int[] myIntArray = {0, 1, 2, 3};
      for(int i = 0; i <= myIntArray.length; i++)
      {
         if(i == 3)
         {
            int trouble = 10/0; // TOP OF CALL STACK
         }
      }
   }
   void methodD()
   {
	  System.out.println("in method D");
	  methodC();
   }
   void methodE()
   {
   	  System.out.println("in method D");
   	  methodD();
   }
}
class CallStackExampleWithDivideByZero
{
   public static void main(String[] args)
   {
      try
      {
            Hazard myHazard = new Hazard();
            System.out.println("2nd line of try block in main");
            myHazard.methodE();
            System.out.println("Will this execute?");
      }
      catch(Exception exc)
      {
         System.out.println("caught an exception");
         exc.printStackTrace();
         System.out.println("This application needs to close immediately - sounds nicer than a silent crash.");
       }
       finally
       {
         System.out.println("Finally block: Do something whether or not an exception is thrown, such as close a network connection.");
       }
   }
}