/* Throws declaration requirement for Exception. Are checked exceptions a bad design? See http://en.wikipedia.org/wiki/Scala_%28programming_language%29 */
class ThomasException extends Exception
{
   ThomasException()
   {
      System.out.println("ThomasException has been thrown.");
   }
}
class DemoThomasExceptionMandatoryThrowsDeclaration
{
   // static void throwCustomException() throws ThomasException
   static void throwCustomException()  // replace line 12 with line 11
   {
	   int size;
       for(size = 3; size > -3; size--)
	   System.out.println("size = " + size);
	   if (size < 0)
	   {
		  throw new ThomasException();
	   }
	   int myArray[] = new int[size];
	   System.out.println("length is: " + myArray.length);
   }
   public static void main(String[] args)
   {
      {
         try
         {
             throwCustomException();
         }
         catch(ThomasException e)
         {
             System.out.println("ThomasException is " + e.toString());
         }
      }
   }
}