// Throws declaration NOT required for RuntimeException or its subclasses
// class ThomasException extends Exception // does not compile
class ThomasException extends RuntimeException
{
   ThomasException()
   {
      System.out.println("ThomasException has been thrown.");
   }
}
class DemoThomasRuntimeExceptionByMethodCall
{
   static void throwCustomException()
   {
	   int size;
       for(size = 3; size > -3; size--)
	   System.out.println("size = " + size);
	   if (size < 0)
	   {
		  throw new ThomasException();
	   }
	   int myArray[] = new int[size];
	   System.out.println("length is: " + myArray.length);
   }
   public static void main(String[] args)
   {
      {
         try
         {
             throwCustomException();
         }
         catch(ThomasException e)
         {
             System.out.println("ThomasException is " + e.toString());
         }
      }
   }
}