class FinallyDemoWithCatchInMain{
  static void doSomething1() {
    try {
      System.out.println("doSomething1");
      throw new RuntimeException("demo");
    } finally {
      System.out.println("doSomething1's finally");
    }
  }
  static void doSomething2() {
    try {
      System.out.println("inside doSomething2");
      return;
    } finally {
      System.out.println("doSomething2's finally");
    }
  }
  static void doSomething3() {
    try {
      System.out.println("inside doSomething3");
    } finally {
      System.out.println("doSomething3's finally");
    }
  }
  public static void main(String[] args) {
    try {
      doSomething1();
    } catch (Exception e) {
      System.out.println("Exception caught in main");
      e.printStackTrace();
    }
    doSomething2();
    doSomething3();
  }
}