// Subclasses must precede superclasses in catch statements.
class MostGeneralCatchStatementLast
{
  public static void main(String[] args)
  {
    // Here, numer is longer than denom.
    int[] numer = { 4, 8, 16, 32, 64, 128, 256, 512 };
    int[] denom = { 2, 0, 4, 4, 0, 8 };

    for(int i=0; i<numer.length; i++)
    {
      try
      {
        System.out.println(numer[i] + " / " +
                           denom[i] + " is " +
                           numer[i]/denom[i]);
      }
      catch(ArrayIndexOutOfBoundsException exc)
      { //subclass
              // catch the exception
              System.out.println("No matching element found.");
      }
      catch(Throwable exc)
      { //superclass
        System.out.println("Some exception occurred.");
      }
    }
  }
}