// Use multiple catch statements.
class ArrayProcessor
{
  void processArray()
  {
    int[] numerator = { 4, 8, 16 }; // 8 indices
    int[] denomenator = { 2, 0, 4 }; // 6 indices

    for(int i=0; i<numerator.length; i++)
    {
      try
      {
        System.out.println(numerator[i] + " / " +
                           denomenator[i] + " is " +
                           numerator[i]/denomenator[i]);
      }
      catch(Exception exc)
      {
        exc.printStackTrace();
      }
    }
    // for each loop not suited for this scenario
	for(int x : numerator)
	{
	  try
	  {
		System.out.println(numerator[x] + " / " +
						   denomenator[x] + " is " +
						   numerator[x]/denomenator[x]);
	  }
	  catch(Exception exc)
	  {
		exc.printStackTrace();
	  }
    }
  }
}
class MultiCatchThrowUpTheCallStack
{
  public static void main(String[] args)
  {
	 ArrayProcessor ap = new ArrayProcessor();
     ap.processArray();
  }
}
