class ExceptionGenerator
{
	static void generateException()
	{
	    int[] numerator = { 4, 8, 16, 32, 64, 128, 256, 512 };
	    int[] denomenator = { 2, 0, 4, 4, 0, 8 };

	    for(int i=0; i<numerator.length; i++)
	    {
	        System.out.println(numerator[i] + " / " +
	                           denomenator[i] + " is " +
	                           numerator[i]/denomenator[i]);
         }
    }
	static void generateException2()
	{
		int[] numerator = { 4, 8, 16, 32, 64, 128, 256, 512 };
		int[] denomenator = { 2, 0, 4, 4, 0, 8 };

		for(int i=5; i<numerator.length; i++)
		{
			System.out.println(numerator[i] + " / " +
							   denomenator[i] + " is " +
							   numerator[i]/denomenator[i]);
		 }
    }
}
class MethodCaller
{
	void doSomething()
	{
		try
	    {
			ExceptionGenerator.generateException();
	    }
		catch(ArithmeticException |  ArrayIndexOutOfBoundsException exc)
        {
           if(exc instanceof ArithmeticException)
           {
			   System.out.println("\ncaught in doSomething");
			   exc.printStackTrace();
			   ExceptionGenerator.generateException2();
			   throw exc;
		   };
		}
	}
}
class MultipleCatchStatementsAndRethrow
{
  public static void main(String[] args)
  {
	  try
	  {
	  	MethodCaller mc = new MethodCaller();
	  	mc.doSomething();
      }
      catch(Exception exc)
      {
        System.out.println("\ncaught in main");
        exc.printStackTrace();
      }
  }
}