/* unchecked exception, that is, a subclass of RuntimeException,
   with exception handling in place, so we don't crash */
class TryAndCatchBlockExceptionHandling
{
  public static void main(String[] args)
  {
    int d, a;  // declare local variables

    try { // monitor a block of code.
      d = 0;
      a = 42 / d;  // error occurs here
      System.out.println("This will not be printed because the try block stops.");
    }
    catch (ArithmeticException e)
    { // catch divide-by-zero error
      System.out.println("here comes e " + e);
      System.out.println("In catch statement:\n Division by zero causes this error: \n" + e.toString());
    }
    System.out.println("This println is after the catch statement.");
  }
}