/* Demonstrate that because the try block might fail, the compiler's protectiveness can be an obstacle to field assignments. */
class TryBlockAndInitializationDemo
{
   static int getValue()
   {
	   return 17;
   }
   public static void main(String[] args)
   {
		int field1, field2;
		try
		{
			field1 = getValue();
			System.out.println(field1);
		}
		catch (Exception  e)
		{   // if return is commented out, no compilation
			return;
		}
		/* Does not compile: "variable field1 might not have been initialized"  */
		field2 = field1;
   }
}